<?php // $Id: case.calendar.php,v 20.8 2004/01/07 22:10:22 EllselAn Exp $
/************************************************************************/
/* KalenderMx v1.3                                                      */
/* ===================                                                  */
/*  Calendar Module for vkpMx 2.x & phpNuke 5.5-7.0                     */
/*  Copyright (c) 2004 by A.Ellsel (kalender@pragmamx.org)              */
/*  http://www.pragmamx.org & http://ww.shiba-design.de                 */
/* -------------------------------------------------------------------- */
/* KalenderMx is based on EventCalendar 2.0                             */
/*  Copyright (c) 2001 Originally by Rob Sutton                         */
/*  http://smart.xnettech.net (Nuke Site)                               */
/*  Development continued by Aleks A.-Lessmann                          */
/* Included some ideas and changes by:                                  */
/*  flobee, bulli-frank, kicks, kochloeffel, FrankySz, Jubilee          */
/* -------------------------------------------------------------------- */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 or a newer version.   */
/************************************************************************/
if (!eregi("admin.php", $_SERVER["PHP_SELF"])) { die ("classement: You can't access this file directly..."); }


// CHANGE THIS IF YOU CHANGE THE MODULES FOLDER NAME
if (!defined("CAL_MODULE_NAME")) define("CAL_MODULE_NAME","Kalender");
if (!defined("CAL_MODULE_PATH")) define("CAL_MODULE_PATH","modules/".CAL_MODULE_NAME."/");

switch($_REQUEST['op']) {
	case "CalendarAdmin":
	case "CalendarPreviewEvent":
	case "CalendarEditEvent":
	case "CalendarPostEvent":
	case "CalendarNewEvent":
	case "CalendarDeactivateEvent":
	case "CalendarDeleteEvent":
	case "CalendarConfig":
	case "CalendarConfigSave":
		$x_cal_ad_file = CAL_MODULE_PATH."admin/main.php";
		break;
	case "CalSetcols":
	case "CalSavecols":
		$x_cal_ad_file = CAL_MODULE_PATH."admin/cats.php";
		break;
	case "CalSetup":
		$x_cal_ad_file = CAL_MODULE_PATH."admin/install.php";
		break;
	}

if (isset($x_cal_ad_file)) {
	// check php-version
	if (((int)(str_replace(".","",PHP_VERSION))) < 410) {
		die("<h3>Error:</h3>죄송합니다, PHP-Version 4.1.0+ 가 필요합니다.");
		}
	$x_cal_ad_ok = @include($x_cal_ad_file);
	if (!$x_cal_ad_ok) {
		die('<h3>오류:</h3>파일이 발견되지 않음: '.$x_cal_ad_file.'<br><br> "CAL_MODULE_NAME" : '.__file__.'을 바꾸셔야 합니다');
		}
	unset($x_cal_ad_ok); unset($x_cal_ad_file); 
	}
?>